Do I have to have Leopard installed in order to use the Airport Extreme Base Station?

I am running Tiger and want to use the Airport Extreme Base Station for multiple computers - none are running Leopard or higher. Is this possible?

  • Asked by Kristin R from Brooklyn
  • Feb 18, 2010
QA AirPort Extreme Base Station

QA AirPort Extreme Base Station

Product No Longer Available

1 Answer from the Community

  • Answer

    No, definitely not this AirPort base station.

    System Requirements for setup and administration:

    Mac computer with Mac OS X v10.5.7 or later, CD drive, and Ethernet or wireless networking capability
    or
    PC with Windows XP (SP3) or Windows Vista (SP1) or later, CD drive, and Ethernet or wireless networking capability

    • Answered by Andrew H from Carmel
    • Feb 18, 2010